Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.defaults
Class ComponentKeysTestCase

    java.lang.Object
      org.picocontainer.defaults.ComponentKeysTestCase

    public class ComponentKeysTestCase

extends Object

Author:
  Thomas Heller, Aslak Hellesøy

Constructor Summary
`ComponentKeysTestCase()`

Method Summary
`void` | `testComponensRegisteredWithClassKeyTakePrecedenceOverOthersWhenThereAreMultipleImplementations()`
`void` | `testComponentAdapterResolutionIsFirstLookedForByClassKeyToTheTopOfTheContainerHierarchy()`
`void` | `testComponentKeysFromParentCannotConfuseTheChild()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentKeysTestCase

    public ComponentKeysTestCase()

Method Detail

### testComponensRegisteredWithClassKeyTakePrecedenceOverOthersWhenThereAreMultipleImplementations

    public void testComponensRegisteredWithClassKeyTakePrecedenceOverOthersWhenThereAreMultipleImplementations()
                                                                                                        throws Exception

  Throws:
    `Exception`

### testComponentAdapterResolutionIsFirstLookedForByClassKeyToTheTopOfTheContainerHierarchy

    public void testComponentAdapterResolutionIsFirstLookedForByClassKeyToTheTopOfTheContainerHierarchy()

### testComponentKeysFromParentCannotConfuseTheChild

    public void testComponentKeysFromParentCannotConfuseTheChild()
                                                          throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.